ReplacementMode (install4j API)
Date: 2009-06-17

Overview | Package | Class | Tree | Deprecated | Index | Help
| install4j API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.install4j.api.beans
Class ReplacementMode

    java.lang.Object
      com.install4j.api.beans.ReplacementMode

    public class ReplacementMode

extends java.lang.Object

Variable replacement mode for string properties that are used in regular expressions. The enumerated class is used as a parameter to `AbstractBean.replaceVariables(String, ReplacementMode)`.

Field Summary
`static ReplacementMode` | `I18N_ONLY` Only i18n variables like ${i18n:myKey} will be replaced.
`static ReplacementMode` | `PLAIN` Normal replacement like in `AbstractBean.replaceVariables(String)`.
`static ReplacementMode` | `PROPERTIES_FILE` The property is used while replacing text directly in a Java properties file.
`static ReplacementMode` | `REGEXP_MATCH` The property is used as a regular expression.
`static ReplacementMode` | `REGEXP_REPLACEMENT` The property is used as a replacement part of a regular expression.

Constructor Summary
`ReplacementMode()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PLAIN

    public static final ReplacementMode PLAIN

  Normal replacement like in `AbstractBean.replaceVariables(String)`.

### I18N_ONLY

    public static final ReplacementMode I18N_ONLY

  Only i18n variables like ${i18n:myKey} will be replaced.

### REGEXP_MATCH

    public static final ReplacementMode REGEXP_MATCH

  The property is used as a regular expression. All special characters are quoted.

### REGEXP_REPLACEMENT

    public static final ReplacementMode REGEXP_REPLACEMENT

  The property is used as a replacement part of a regular expression. Backslashes and dollar signs are quoted.

### PROPERTIES_FILE

    public static final ReplacementMode PROPERTIES_FILE

  The property is used while replacing text directly in a Java properties file. See the Javadoc for java.util.Properties for more information on the encoding of a Java properties file.

Constructor Detail

### ReplacementMode

    public ReplacementMode()

Overview | Package | Class | Tree | Deprecated | Index | Help
| install4j API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD